package org.kne.cloud.network;

import java.io.IOException;
import java.net.Inet6Address;
import java.net.SocketException;

import org.kne.cloud.network.klalb.KLALBVirtualRawSocketImpl;

public class VirtualRawSocket extends RawSocket {

	private VirtualRawSocketImpl virtualImpl;
	protected VirtualRawSocket(VirtualRawSocketImpl virtualImpl) {
		super(virtualImpl);
		this.virtualImpl =virtualImpl;
	}
	public VirtualRawSocket(KLALBVirtualRawSocketImpl virtualImpl, Inet6Address bindAddress) throws SocketException {
		super(virtualImpl,bindAddress);
		this.virtualImpl =virtualImpl;
	}
	public VirtualRawSocket(KLALBVirtualRawSocketImpl virtualImpl, Inet6Address bindAddress,
			int bindProtocol) throws SocketException {
		super(virtualImpl,bindAddress,bindProtocol);
		this.virtualImpl =virtualImpl;
	}
	protected VirtualRawSocketImpl getVirtualImpl() {
		return virtualImpl;
	}
}
